Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.2.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
7.2.2.0
Broadcast address
7.2.3.255
First usable
7.2.2.1
Last usable
7.2.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 07020200 · Integer 117572096 to 117572607
Reverse DNS zones
2.2.7.in-addr.arpa
3.2.7.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.00000010.00000010.000000007.2.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00000111.00000010.00000010.000000007.2.2.0
Broadcast00000111.00000010.00000011.111111117.2.3.255
Split into smaller subnets/30

7.2.2.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.2.2.0/307.2.2.1 to 7.2.2.27.2.2.32
27.2.2.4/307.2.2.5 to 7.2.2.67.2.2.72
37.2.2.8/307.2.2.9 to 7.2.2.107.2.2.112
47.2.2.12/307.2.2.13 to 7.2.2.147.2.2.152
57.2.2.16/307.2.2.17 to 7.2.2.187.2.2.192
67.2.2.20/307.2.2.21 to 7.2.2.227.2.2.232
77.2.2.24/307.2.2.25 to 7.2.2.267.2.2.272
87.2.2.28/307.2.2.29 to 7.2.2.307.2.2.312
97.2.2.32/307.2.2.33 to 7.2.2.347.2.2.352
107.2.2.36/307.2.2.37 to 7.2.2.387.2.2.392
117.2.2.40/307.2.2.41 to 7.2.2.427.2.2.432
127.2.2.44/307.2.2.45 to 7.2.2.467.2.2.472
137.2.2.48/307.2.2.49 to 7.2.2.507.2.2.512
147.2.2.52/307.2.2.53 to 7.2.2.547.2.2.552
157.2.2.56/307.2.2.57 to 7.2.2.587.2.2.592
167.2.2.60/307.2.2.61 to 7.2.2.627.2.2.632
177.2.2.64/307.2.2.65 to 7.2.2.667.2.2.672
187.2.2.68/307.2.2.69 to 7.2.2.707.2.2.712
197.2.2.72/307.2.2.73 to 7.2.2.747.2.2.752
207.2.2.76/307.2.2.77 to 7.2.2.787.2.2.792
217.2.2.80/307.2.2.81 to 7.2.2.827.2.2.832
227.2.2.84/307.2.2.85 to 7.2.2.867.2.2.872
237.2.2.88/307.2.2.89 to 7.2.2.907.2.2.912
247.2.2.92/307.2.2.93 to 7.2.2.947.2.2.952
257.2.2.96/307.2.2.97 to 7.2.2.987.2.2.992
267.2.2.100/307.2.2.101 to 7.2.2.1027.2.2.1032
277.2.2.104/307.2.2.105 to 7.2.2.1067.2.2.1072
287.2.2.108/307.2.2.109 to 7.2.2.1107.2.2.1112
297.2.2.112/307.2.2.113 to 7.2.2.1147.2.2.1152
307.2.2.116/307.2.2.117 to 7.2.2.1187.2.2.1192
317.2.2.120/307.2.2.121 to 7.2.2.1227.2.2.1232
327.2.2.124/307.2.2.125 to 7.2.2.1267.2.2.1272
337.2.2.128/307.2.2.129 to 7.2.2.1307.2.2.1312
347.2.2.132/307.2.2.133 to 7.2.2.1347.2.2.1352
357.2.2.136/307.2.2.137 to 7.2.2.1387.2.2.1392
367.2.2.140/307.2.2.141 to 7.2.2.1427.2.2.1432
377.2.2.144/307.2.2.145 to 7.2.2.1467.2.2.1472
387.2.2.148/307.2.2.149 to 7.2.2.1507.2.2.1512
397.2.2.152/307.2.2.153 to 7.2.2.1547.2.2.1552
407.2.2.156/307.2.2.157 to 7.2.2.1587.2.2.1592
417.2.2.160/307.2.2.161 to 7.2.2.1627.2.2.1632
427.2.2.164/307.2.2.165 to 7.2.2.1667.2.2.1672
437.2.2.168/307.2.2.169 to 7.2.2.1707.2.2.1712
447.2.2.172/307.2.2.173 to 7.2.2.1747.2.2.1752
457.2.2.176/307.2.2.177 to 7.2.2.1787.2.2.1792
467.2.2.180/307.2.2.181 to 7.2.2.1827.2.2.1832
477.2.2.184/307.2.2.185 to 7.2.2.1867.2.2.1872
487.2.2.188/307.2.2.189 to 7.2.2.1907.2.2.1912
497.2.2.192/307.2.2.193 to 7.2.2.1947.2.2.1952
507.2.2.196/307.2.2.197 to 7.2.2.1987.2.2.1992
517.2.2.200/307.2.2.201 to 7.2.2.2027.2.2.2032
527.2.2.204/307.2.2.205 to 7.2.2.2067.2.2.2072
537.2.2.208/307.2.2.209 to 7.2.2.2107.2.2.2112
547.2.2.212/307.2.2.213 to 7.2.2.2147.2.2.2152
557.2.2.216/307.2.2.217 to 7.2.2.2187.2.2.2192
567.2.2.220/307.2.2.221 to 7.2.2.2227.2.2.2232
577.2.2.224/307.2.2.225 to 7.2.2.2267.2.2.2272
587.2.2.228/307.2.2.229 to 7.2.2.2307.2.2.2312
597.2.2.232/307.2.2.233 to 7.2.2.2347.2.2.2352
607.2.2.236/307.2.2.237 to 7.2.2.2387.2.2.2392
617.2.2.240/307.2.2.241 to 7.2.2.2427.2.2.2432
627.2.2.244/307.2.2.245 to 7.2.2.2467.2.2.2472
637.2.2.248/307.2.2.249 to 7.2.2.2507.2.2.2512
647.2.2.252/307.2.2.253 to 7.2.2.2547.2.2.2552
657.2.3.0/307.2.3.1 to 7.2.3.27.2.3.32
667.2.3.4/307.2.3.5 to 7.2.3.67.2.3.72
677.2.3.8/307.2.3.9 to 7.2.3.107.2.3.112
687.2.3.12/307.2.3.13 to 7.2.3.147.2.3.152
697.2.3.16/307.2.3.17 to 7.2.3.187.2.3.192
707.2.3.20/307.2.3.21 to 7.2.3.227.2.3.232
717.2.3.24/307.2.3.25 to 7.2.3.267.2.3.272
727.2.3.28/307.2.3.29 to 7.2.3.307.2.3.312
737.2.3.32/307.2.3.33 to 7.2.3.347.2.3.352
747.2.3.36/307.2.3.37 to 7.2.3.387.2.3.392
757.2.3.40/307.2.3.41 to 7.2.3.427.2.3.432
767.2.3.44/307.2.3.45 to 7.2.3.467.2.3.472
777.2.3.48/307.2.3.49 to 7.2.3.507.2.3.512
787.2.3.52/307.2.3.53 to 7.2.3.547.2.3.552
797.2.3.56/307.2.3.57 to 7.2.3.587.2.3.592
807.2.3.60/307.2.3.61 to 7.2.3.627.2.3.632
817.2.3.64/307.2.3.65 to 7.2.3.667.2.3.672
827.2.3.68/307.2.3.69 to 7.2.3.707.2.3.712
837.2.3.72/307.2.3.73 to 7.2.3.747.2.3.752
847.2.3.76/307.2.3.77 to 7.2.3.787.2.3.792
857.2.3.80/307.2.3.81 to 7.2.3.827.2.3.832
867.2.3.84/307.2.3.85 to 7.2.3.867.2.3.872
877.2.3.88/307.2.3.89 to 7.2.3.907.2.3.912
887.2.3.92/307.2.3.93 to 7.2.3.947.2.3.952
897.2.3.96/307.2.3.97 to 7.2.3.987.2.3.992
907.2.3.100/307.2.3.101 to 7.2.3.1027.2.3.1032
917.2.3.104/307.2.3.105 to 7.2.3.1067.2.3.1072
927.2.3.108/307.2.3.109 to 7.2.3.1107.2.3.1112
937.2.3.112/307.2.3.113 to 7.2.3.1147.2.3.1152
947.2.3.116/307.2.3.117 to 7.2.3.1187.2.3.1192
957.2.3.120/307.2.3.121 to 7.2.3.1227.2.3.1232
967.2.3.124/307.2.3.125 to 7.2.3.1267.2.3.1272
977.2.3.128/307.2.3.129 to 7.2.3.1307.2.3.1312
987.2.3.132/307.2.3.133 to 7.2.3.1347.2.3.1352
997.2.3.136/307.2.3.137 to 7.2.3.1387.2.3.1392
1007.2.3.140/307.2.3.141 to 7.2.3.1427.2.3.1432
1017.2.3.144/307.2.3.145 to 7.2.3.1467.2.3.1472
1027.2.3.148/307.2.3.149 to 7.2.3.1507.2.3.1512
1037.2.3.152/307.2.3.153 to 7.2.3.1547.2.3.1552
1047.2.3.156/307.2.3.157 to 7.2.3.1587.2.3.1592
1057.2.3.160/307.2.3.161 to 7.2.3.1627.2.3.1632
1067.2.3.164/307.2.3.165 to 7.2.3.1667.2.3.1672
1077.2.3.168/307.2.3.169 to 7.2.3.1707.2.3.1712
1087.2.3.172/307.2.3.173 to 7.2.3.1747.2.3.1752
1097.2.3.176/307.2.3.177 to 7.2.3.1787.2.3.1792
1107.2.3.180/307.2.3.181 to 7.2.3.1827.2.3.1832
1117.2.3.184/307.2.3.185 to 7.2.3.1867.2.3.1872
1127.2.3.188/307.2.3.189 to 7.2.3.1907.2.3.1912
1137.2.3.192/307.2.3.193 to 7.2.3.1947.2.3.1952
1147.2.3.196/307.2.3.197 to 7.2.3.1987.2.3.1992
1157.2.3.200/307.2.3.201 to 7.2.3.2027.2.3.2032
1167.2.3.204/307.2.3.205 to 7.2.3.2067.2.3.2072
1177.2.3.208/307.2.3.209 to 7.2.3.2107.2.3.2112
1187.2.3.212/307.2.3.213 to 7.2.3.2147.2.3.2152
1197.2.3.216/307.2.3.217 to 7.2.3.2187.2.3.2192
1207.2.3.220/307.2.3.221 to 7.2.3.2227.2.3.2232
1217.2.3.224/307.2.3.225 to 7.2.3.2267.2.3.2272
1227.2.3.228/307.2.3.229 to 7.2.3.2307.2.3.2312
1237.2.3.232/307.2.3.233 to 7.2.3.2347.2.3.2352
1247.2.3.236/307.2.3.237 to 7.2.3.2387.2.3.2392
1257.2.3.240/307.2.3.241 to 7.2.3.2427.2.3.2432
1267.2.3.244/307.2.3.245 to 7.2.3.2467.2.3.2472
1277.2.3.248/307.2.3.249 to 7.2.3.2507.2.3.2512
1287.2.3.252/307.2.3.253 to 7.2.3.2547.2.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses